RevDetails (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.asn1.cmp

## Class RevDetails

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cmp.RevDetails

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class RevDetails
      extends ASN1Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RevDetails(CertTemplate certDetails)`
    `RevDetails(CertTemplate certDetails, Extensions crlEntryDetails)`
    `RevDetails(CertTemplate certDetails, X509Extensions crlEntryDetails)` Deprecated. use method taking Extensions

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CertTemplate` | `getCertDetails()`
    `Extensions` | `getCrlEntryDetails()`
    `static RevDetails` | `getInstance(java.lang.Object o)`
    `ASN1Primitive` | `toASN1Primitive()` RevDetails ::= SEQUENCE { certDetails CertTemplate, -- allows requester to specify as much as they can about -- the cert. for which revocation is requested -- (e.g., for cases in which serialNumber is not available) crlEntryDetails Extensions OPTIONAL -- requested crlEntryExtensions }

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RevDetails

          public RevDetails(CertTemplate certDetails)

    - #### RevDetails

          public RevDetails(CertTemplate certDetails,
                    X509Extensions crlEntryDetails)

      Deprecated. use method taking Extensions
      Parameters:
        `certDetails` -
        `crlEntryDetails` -

    - #### RevDetails

          public RevDetails(CertTemplate certDetails,
                    Extensions crlEntryDetails)

  - ### Method Detail

    - #### getInstance

          public static RevDetails getInstance(java.lang.Object o)

    - #### getCertDetails

          public CertTemplate getCertDetails()

    - #### getCrlEntryDetails

          public Extensions getCrlEntryDetails()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

           RevDetails ::= SEQUENCE {
                            certDetails         CertTemplate,
                             -- allows requester to specify as much as they can about
                             -- the cert. for which revocation is requested
                             -- (e.g., for cases in which serialNumber is not available)
                             crlEntryDetails     Extensions       OPTIONAL
                             -- requested crlEntryExtensions
                       }

      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a basic ASN.1 object representation.